"""
Yandex.Maps transliteration schema.
https://dangry.ru/iuliia/yandex-maps/
"""

from .schema import Schema

MAPPING = {
    "а": "a",
    "б": "b",
    "в": "v",
    "г": "g",
    "д": "d",
    "е": "e",
    "ё": "yo",
    "ж": "zh",
    "з": "z",
    "и": "i",
    "й": "y",
    "к": "k",
    "л": "l",
    "м": "m",
    "н": "n",
    "о": "o",
    "п": "p",
    "р": "r",
    "с": "s",
    "т": "t",
    "у": "u",
    "ф": "f",
    "х": "kh",
    "ц": "ts",
    "ч": "ch",
    "ш": "sh",
    "щ": "sch",
    "ъ": "",
    "ы": "y",
    "ь": "",
    "э": "e",
    "ю": "yu",
    "я": "ya",
}

NEXT_MAPPING = {"ъе": "y"}

ENDING_MAPPING = {"ый": "iy"}

YANDEX_MAPS = Schema(MAPPING, next_mapping=NEXT_MAPPING, ending_mapping=ENDING_MAPPING)
